package io.zipcoder.tc_spring_poll_application.repositories;

import io.zipcoder.tc_spring_poll_application.domain.Vote;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import sun.jvm.hotspot.code.Location;

public interface VoteRepository extends CrudRepository<Vote, Long> {

    @Query(value = "SELECT v.*" + "FROM Option o, Vote v" + "WHERE o.POLL_ID = ?1" + "AND v.OPTION_ID = o.OPTION_ID", nativeQuery = true)
    public Iterable<Vote> findVotesByPoll();


}
